cl_prototypes {clue} | R Documentation

## Partition Prototypes

### Description

Determine prototypes for the classes of an R object representing a partition.

### Usage

    cl_prototypes(x)

### Arguments

`x` | an R object representing a partition of objects.

### Details

Many partitioning methods are based on prototypes (“centers”, “centroids”, “medoids”, ...). In typical cases, these are points in the feature space for the measurements on the objects to be partitioned, such that one can quantify the distance between the objects and the prototypes, and, e.g., classify objects to their closest prototype.

This is a generic function. The methods provided in package clue handle the partitions obtained from clustering functions in the base R distribution, as well as packages cba, cclust, cluster, e1071, flexclust, kernlab, and mclust (and of course, clue itself).

### Examples

    ## Show how prototypes ("centers") vary across k-means runs on
    ## bootstrap samples from the Cassini data.
    data("Cassini")
    nr <- NROW(Cassini$x)
    out <- replicate(50,
                     { kmeans(Cassini$x[sample(nr, replace = TRUE), ], 3) },
                     simplify = FALSE)
    ## Plot the data points in light gray, and the prototypes found.
    plot(Cassini$x, col = gray(0.8))
    points(do.call("rbind", lapply(out, cl_prototypes)), pch = 19)

[Package clue version 0.3-57 Index]